# Copyright (c) 2013-2019 Remi Collet
# License: CC-BY-SA
# https://creativecommons.org/licenses/by-sa/4.0/

%global github_name     diff
%global composer_vendor sebastian
%global composer_name   diff
%global namespace_vendor SebastianBergmann
%global namespace_name   Diff

%define php_libdir %{_datadir}/php
%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        3.0.2
Release:        %mkrel 4
Summary:        Diff implementation
Group:          Development/PHP
License:        BSD
URL:            https://github.com/sebastianbergmann/diff
Source0:        https://github.com/sebastianbergmann/diff/archive/%{github_name}-%{version}.tar.gz
BuildArch:      noarch
# from composer.json
Requires:       php >= 7.1
# from phpcompatinfo report for version 3.0.0
Requires:       php-pcre
# Autoloader
BuildRequires:  php-fedora-autoloader-devel
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
Diff implementation.

Autoloader: %{php_libdir}/%{namespace_vendor}/%{namespace_name}/autoload.php

%prep
%setup -q -n %{github_name}-%{version}

%build
# Generate the Autoloader
%{_bindir}/phpab --template fedora --output src/autoload.php src


%install
mkdir -p   %{buildroot}%{php_libdir}/%{namespace_vendor}
cp -pr src %{buildroot}%{php_libdir}/%{namespace_vendor}/%{namespace_name}

%files
%doc LICENSE
%doc composer.json
%doc *.md
%{php_libdir}/%{namespace_vendor}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.2-4.mga10
+ Revision: 2209046
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 3.0.2-3.mga9
+ Revision: 1819437
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1523029
- Mageia 8 Mass Rebuild

* Sat Feb 16 2019 guillomovitch <guillomovitch> 3.0.2-1.mga7
+ Revision: 1367520
- imported package php-sebastian-diff

